#!/bin/sh -efu

file=$1; shift
[ -s "$file" ]

tmpfile=
cleanup_tmpdir()
{
	[ -z "$tmpfile" ] || rm -f -- "$tmpfile"
	exit "$@"
}

trap 'cleanup_tmpdir $?' EXIT
trap 'exit 143' HUP INT QUIT PIPE TERM
tmpfile=$(mktemp -t "${0##*/}.XXXXXXXX")

filterdiff -x '*/config.h.in' -x '*/Makefile.in' -x '*/configure' -x '*/doc/Muttrc' -x "*/PATCHES" < "$file" |
	patch -p1

filterdiff -i '*/PATCHES' < "$file" |
	patch "$tmpfile"

cat "$tmpfile" >> PATCHES

:
